package com.zulutrade.sample.trading.client.trading;

/**
 * Simple unique request ids generator
 * initialized using system's time
 * @author ZuluTrade
 */
public class UniqueIdGenerator {

	private static Long requestId;
	
	static{
		requestId = Long.valueOf(System.currentTimeMillis());
	}
	
	public static String getNextUniqueId(){
		synchronized(UniqueIdGenerator.class){
			requestId++;
			return requestId.toString();
		}		
	}
	
}
